Constants (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.tomcat.websocket.server, class: Constants

# Class Constants

java.lang.Object
org.apache.tomcat.websocket.server.Constants

public class Constants extends Object
Internal implementation constants.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BINARY_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM`
  Servlet context init parameter name for binary buffer size.
  `static final String`
  `ENFORCE_NO_ADD_AFTER_HANDSHAKE_CONTEXT_INIT_PARAM`
  Deprecated.
  This is no longer required in Jakarta EE 10 onwards and will be removed in Tomcat 10.1.
  `static final String`
  `SERVER_CONTAINER_SERVLET_CONTEXT_ATTRIBUTE`
  `static final String`
  `TEXT_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM`
  Servlet context init parameter name for text buffer size.

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BINARY_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM

    public static final String BINARY_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM
    Servlet context init parameter name for binary buffer size.
    See Also:
      - Constant Field Values

  - ### TEXT_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM

    public static final String TEXT_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM
    Servlet context init parameter name for text buffer size.
    See Also:
      - Constant Field Values

  - ### ENFORCE_NO_ADD_AFTER_HANDSHAKE_CONTEXT_INIT_PARAM

    @Deprecated public static final String ENFORCE_NO_ADD_AFTER_HANDSHAKE_CONTEXT_INIT_PARAM
    Deprecated.
    This is no longer required in Jakarta EE 10 onwards and will be removed in Tomcat 10.1.
    Allows the deployment restriction defined in section 6.4 of the Jakarta WebSocket specification to be ignored.
    See Also:
      - Constant Field Values

  - ### SERVER_CONTAINER_SERVLET_CONTEXT_ATTRIBUTE

    public static final String SERVER_CONTAINER_SERVLET_CONTEXT_ATTRIBUTE
    See Also:
      - Constant Field Values